# New dataset request

Please fill out the information below to request the addition of a new
dataset to the Netzschleuder repository.

## Necessary information

### Dataset title

Please replace this text with a concise single-line title for the dataset.

### Dataset description

Please replace this text with a description of the dataset. If the
dataset is composed of many networks, please describe what they mean. If
the network(s) are annotated, please include a description of the
annotations. Note that [Markdown](/help/user/markdown.md) syntax is
allowed.

### Dataset tags

Please replace this text with a list of tags that categorize the
dataset. For example tags see: https://networks.skewed.de/stats

### Upstream URL

Replace this text with the URL where the dataset can be downloaded. 

If you wish to **host** the original dataset files in Netzschleuder,
i.e. have it act as the main upstream source, please upload the dataset
file(s) as attachments (or give a temporary URL) and indicate below:

- [ ] I am the owner of this dataset, and I wish the primary upstream dataset files to be hosted by Netzschleuder.

(Please do **not** tick the box above if you plan to host the dataset
yourself in your own website. Whether or not the upstream hosting is
done in a different format is irrelevant.)

### Citation

Replace this text with the upstream bibliographic references(s). Please include a [DOI](https://en.wikipedia.org/wiki/Digital_object_identifier) if one is available.

### License

If the dataset is released under any specific license
(e.g. [ODbL](https://opendatacommons.org/licenses/odbl/)), please
indicate it here. Otherwise replace this text with "N/A".

## Observations

- The preferred file formats are [gt](https://graph-tool.skewed.de/static/doc/gt_format.html), [GraphML](https://en.wikipedia.org/wiki/GraphML), and [GML](https://en.wikipedia.org/wiki/Graph_Modelling_Language), but any other upstream format is also accepted. For any non-standard format, including a Python parsing script would be helpful.
- [ ] Please verify if the dataset entry can be found in [ICON](https://icon.colorado.edu). If so, please check this box.
