#! /usr/bin/env python
# -*- coding: utf-8 -*-
#
# Copyright (C) 2020-2023 Tiago de Paula Peixoto <tiago@skewed.de>
#
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU Affero General Public License as published by the Free
# Software Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for more
# details.
#
# You should have received a copy of the GNU Affero General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

import pkgutil

import sys
import os
import gc

import process_entry
from locks import acquire_lock

if len(sys.argv) > 1:
    names = sys.argv[1:]
else:
    names = None

entries = process_entry.get_entries(names).values()

for entry in entries:
    with acquire_lock(entry, block=False) as lock:
        if lock is None:
            print("skipped:", entry.name)
            continue
        print("fetching:", entry.name)
        entry.fetch_upstream()
